.popup-overlay {
    position: fixed;
    top: 0; left: 0;
    width: 100%;
    height: 100dvh;
    overflow-y: scroll;
    background: rgba(0,0,0,0.8);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
    z-index: 9999;
    transition: opacity .8s ease;
}

.popup-overlay.active {
    opacity: 1;
    pointer-events: auto;
}
.popup-overlay .popup-content {
    position: relative;
    padding: 0;
    border-radius: 5px;
    margin: 0 0 0 0;
    transform: translateY(160%);
    opacity: 0;
    transition: transform 1s ease, opacity 0.8s ease;
}
.popup-overlay.active .popup-content {
    transform: scale(1);
    transform: translateY(0);
    opacity: 1;
    position: relative;
    padding: 8px;
    background: var(--bg-box);
}
@media (max-height: 800px) {
    .popup-overlay.active .popup-content {
        margin: 190px 0 50px 0;
    }
}
@media (max-height: 655px) {
    .popup-overlay.active .popup-content {
        margin: 290px 0 50px 0;
    }
}
@media (max-height: 590px) {
    .popup-overlay.active .popup-content {
        margin: 400px 0 50px 0;
    }
}
@media (max-height: 440px) {
    .popup-overlay.active .popup-content {
        margin: 500px 0 50px 0;
    }
}

.universal-close-btn.feedback-close {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    padding: 0px;
}
.feedback-close svg {
    stroke: rgb(255 0 0 / 50%);
    transition: stroke .3s ease;
}
.feedback-close:hover svg {
    stroke: rgb(255 0 0);
}
.feedback-container {
    background: var(--bg-box-modal);
    padding: 20px;
    border-radius: 5px;
    min-width: 300px;
}

.feedback_body {
    display: flex;
    flex-direction: column;
    gap: 12px;
}
.input_wrap {
    display: flex;
    flex-direction: column;
    gap: 6px;
}
.input_wrap input, .input_wrap textarea {
    max-width: -webkit-fill-available;
}
.upload-progress {
    position: relative;
    height: 8px;
    background: #00064b;
    border-radius: 3px;
    margin-top: 20px;
}

.progress-bar {
    position: relative;
    height: 100%;
    width: 0%;
    background-color: #007bff;
    transition: width 0.5s ease;
}

.progress-percent {
    position: absolute;
    top: -20px;
    right: 0;
    font-size: 12px;
    color: #fff;
}
.feedback-actions {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
}

h2 {
    text-align: center;
}
#feedback-title {
    color: #EFEFEF;
    margin: 0;
    margin-bottom: 15px;
}
.feedback_body label {
    display: block;
    color: #EFEFEF;
}

.required {
    color: red;
}

.error-message {
    color: red;
    font-size: 0.9em;
}
.preview-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 6px;
    margin-top: 10px;
}

.preview-item {
    position: relative;
    width: 100%;
    max-width: 70px;
    max-height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: zoom-in;
}

.preview-item img,
.preview-item video {
    max-width: 100%;
    max-height: 100%;
    border-radius: 5px;
    object-fit: cover;
}

.preview-item .remove {
    position: absolute;
    top: -4px;
    right: -4px;
    background: rgba(255, 5, 5, 0.6);
    width: 18px;
    height: 18px;
    border: none;
    border-radius: 50%;
    font-size: 14px;
    cursor: pointer;
    padding: 0;
    margin: 0;
    transition: all 0.4s ease;
}
.preview-item .remove:hover {background: rgba(255, 5, 5, 1);}

.drop-zone {
    border: 2px dashed rgb(35 120 220 / 30%);
    padding: 10px 25px;
    border-radius: 10px;
    text-align: center;
    margin-top: 20px;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0.02);
    transition: all 0.3s ease;
}
@media (max-width: 585px) {
    .drop-zone {
        padding: 10px;
    }
}

.drop-zone.drag-over, .drop-zone:hover {
    border-color: #28a745;
    background-color: rgba(40, 167, 69, 0.1);
    color: #28a745;
    transform: scale(1.10);
}
.drop-zone:hover {
    transform: scale(1.03);
}
.drop-zone__title {
    font-size:16px;
    color: green;
    user-select:none;
    transition: all 0.5s ease;
}
.drop-zone:hover .drop-zone__title {
    color: #aaa;
    transform: scale(0.90);
}


/* === LIGHTBOX === */
#lightbox-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.85);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

#lightbox-overlay.visible {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

#lightbox-content {
    position: relative;
    max-width: 90%;
    max-height: 800px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#lightbox-content img,
#lightbox-content video {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
}

#lightbox-close {
    position: absolute;
    top: -16px;
    right: -16px;
    width: 32px;
    height: 32px;
    background: #fff;
    color: #000;
    font-size: 26px;
    line-height: 32px;
    text-align: center;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 10px #000;
    z-index: 10000;
    transition: all 0.3s ease;
}
#lightbox-close:hover {
    transform: scale(1.1);
}